Select a country/region:



Go
United States   [change]  
 

Polycom Trio 8500

trio-8500
Notes

  • Only use software version 6.1.9 when pairing Polycom Trio VisualPro or RealPresence Group Series 310 and 500 systems with Polycom Trio 8500 and 8800 systems version 5.7.1AB or later. Your RealPresence Group Series system must also be hardware version 20 or later.
  • Polycom Trio 8500 can only be used with Polycom Trio 8500 Software 5.5.2 Rev AC and newer releases. Polycom Trio 8500 Software 5.5.2 Rev AC is the initial version supported at the introduction of Polycom Trio 8500. If you have any questions, please contact your Polycom support representative.